''' $FreeBSD: src/gnu/libexec/uucp/uuxqt/uuxqt.8,v 1.4.2.1 1999/09/05 11:05:57 peter Exp $
.TH uuxqt 8 "Taylor UUCP 1.06"
.SH NAME
uuxqt \- UUCP execution daemon
.SH SYNOPSIS
.B uuxqt
[ options ]
.SH DESCRIPTION
The
.I uuxqt
daemon executes commands requested by
.I uux
(1) from either the local system or from remote systems.
It is started automatically by the
.I uucico
(8) daemon (unless
.I uucico
(8) is given the
.B \-q
or
.B \-\-nouuxqt
option).

There is normally no need to run this command, since it will be
invoked by
.I uucico
(8).  However, it can be used to provide greater control over the
processing of the work queue.

Multiple invocations of
.I uuxqt
may be run at once, as controlled by the
.I max-uuxqts
configuration command.
.SH OPTIONS
The following options may be given to
.I uuxqt.
.TP 5
.B \-c command, \-\-command command
Only execute requests for the specified command.  For example:
.br
.in +0.5i
.nf
uuxqt --command rmail
.fi
.in -0.5i
.TP 5
.B \-s system, \-\-system system
Only execute requests originating from the specified system.
.TP 5
.B \-x type, \-\-debug type
Turn on particular debugging types.  The following types are
recognized: abnormal, chat, handshake, uucp-proto, proto, port,
config, spooldir, execute, incoming, outgoing.  Only abnormal, config,
spooldir and execute are meaningful for
.I uuxqt.

Multiple types may be given, separated by commas, and the
.B \-\-debug
option may appear multiple times.  A number may also be given, which
will turn on that many types from the foregoing list; for example,
.B \-\-debug 2
is equivalent to
.B \-\-debug abnormal,chat.

The debugging output is sent to the debugging file, usually one of
/var/spool/uucp/Debug, /usr/spool/uucp/DEBUG, or
/usr/spool/uucp/.Admin/audit.local.
.TP 5
.B \-I file, \-\-config 
Set configuration file to use.  This option may not be available,
depending upon how
.I uuxqt
was compiled.
.TP 5
.B \-v, \-\-version
Report version information and exit.
.TP 5
.B \-\-help
Print a help message and exit.
.SH FILES
The file names may be changed at compilation time or by the
configuration file, so these are only approximations.

.br
/etc/uucp/config - Configuration file.
.br
/var/spool/uucp -
UUCP spool directory.
.br
/var/spool/uucp/Log -
UUCP log file.
.br
/var/spool/uucppublic -
Default UUCP public directory.
.br
/var/spool/uucp/Debug -
Debugging file.
.SH SEE ALSO
uucp(1), uux(1), uucico(8)
.SH AUTHOR
Ian Lance Taylor
(ian@airs.com)
